CGAL 6.2 - Weights: Authalic Weight

CGAL 6.2 - Weights

Loading...
Searching...
No Matches
Functions
Authalic Weight
Reference Manual » Analytic Weights

##

`#include<CGAL/Weights/authalic_weights.h>`

This weight is computed as \(w = 2 \frac{\cot\beta + \cot\gamma}{d^2}\) with notations shown in the figure below.

Here, `q` is a query point and the points `p0`, `p1`, and `p2` are its neighbors.

Alternative formulations are explained in Implementation.

Figure 118.1 Notation used for the authalic weight.

Alternative Formulations

- This weight is equal to the Wachspress Weight.
- This weight is a special case of the Three Point Family Weight.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2` for 2D points; a model of `AnalyticWeightTraits_3` for 3D points

Precondition
  d != 0

## Functions
template<typename FT >
FT | CGAL::Weights::half_authalic_weight (const FT cot, const FT sq_d)
| computes the half value of the authalic weight.
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::authalic_weight (const typename GeomTraits::Point_2 &p0, const typename GeomTraits::Point_2 &p1, const typename GeomTraits::Point_2 &p2, const typename GeomTraits::Point_2 &q, const GeomTraits &traits)
| computes the authalic weight in 2D at `q` using the points `p0`, `p1`, and `p2`.
template<typename Kernel >
Kernel::FT | CGAL::Weights::authalic_weight (const CGAL::Point_2< Kernel > &p0, const CGAL::Point_2< Kernel > &p1, const CGAL::Point_2< Kernel > &p2, const CGAL::Point_2< Kernel > &q)
| computes the authalic weight in 2D at `q` using the points `p0`, `p1`, and `p2`.
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::authalic_weight (const typename GeomTraits::Point_3 &p0, const typename GeomTraits::Point_3 &p1, const typename GeomTraits::Point_3 &p2, const typename GeomTraits::Point_3 &q, const GeomTraits &traits)
| computes the authalic weight in 3D at `q` using the points `p0`, `p1`, and `p2`.
template<typename Kernel >
Kernel::FT | CGAL::Weights::authalic_weight (const CGAL::Point_3< Kernel > &p0, const CGAL::Point_3< Kernel > &p1, const CGAL::Point_3< Kernel > &p2, const CGAL::Point_3< Kernel > &q)
| computes the authalic weight in 3D at `q` using the points `p0`, `p1`, and `p2`.

## Function Documentation

## ◆ authalic_weight() [1/4]

template<typename Kernel >

Kernel::FT CGAL::Weights::authalic_weight | ( | const CGAL::Point_2< Kernel > & | p0,
|  | const CGAL::Point_2< Kernel > & | p1,
|  | const CGAL::Point_2< Kernel > & | p2,
|  | const CGAL::Point_2< Kernel > & | q
| ) |  |

`#include <CGAL/Weights/authalic_weights.h>`

computes the authalic weight in 2D at `q` using the points `p0`, `p1`, and `p2`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ authalic_weight() [2/4]

template<typename Kernel >

Kernel::FT CGAL::Weights::authalic_weight | ( | const CGAL::Point_3< Kernel > & | p0,
|  | const CGAL::Point_3< Kernel > & | p1,
|  | const CGAL::Point_3< Kernel > & | p2,
|  | const CGAL::Point_3< Kernel > & | q
| ) |  |

`#include <CGAL/Weights/authalic_weights.h>`

computes the authalic weight in 3D at `q` using the points `p0`, `p1`, and `p2`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ authalic_weight() [3/4]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::authalic_weight | ( | const typename GeomTraits::Point_2 & | p0,
|  | const typename GeomTraits::Point_2 & | p1,
|  | const typename GeomTraits::Point_2 & | p2,
|  | const typename GeomTraits::Point_2 & | q,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/authalic_weights.h>`

computes the authalic weight in 2D at `q` using the points `p0`, `p1`, and `p2`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2`

## ◆ authalic_weight() [4/4]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::authalic_weight | ( | const typename GeomTraits::Point_3 & | p0,
|  | const typename GeomTraits::Point_3 & | p1,
|  | const typename GeomTraits::Point_3 & | p2,
|  | const typename GeomTraits::Point_3 & | q,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/authalic_weights.h>`

computes the authalic weight in 3D at `q` using the points `p0`, `p1`, and `p2`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_3`

## ◆ half_authalic_weight()

template<typename FT >

FT CGAL::Weights::half_authalic_weight | ( | const FT | cot,
|  | const FT | sq_d
| ) |  |

`#include <CGAL/Weights/authalic_weights.h>`

computes the half value of the authalic weight.

This function computes the half of the authalic weight using the precomputed cotangent and squared distance values. The returned value is \(\frac{2\textbf{cot}}{\textbf{sq\_d}}\).

Template Parameters

  FT | a model of `FieldNumberType`

Parameters

  cot | the cotangent value
  sq_d | the squared distance value

Precondition
  sq_d != 0

See also
  `authalic_weight()`